| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions
Tp::CallStream Class Reference
Channel proxies

The CallStream class provides an object representing a Telepathy Call.Stream. More...

`#include <TelepathyQt/CallStream>`

Inherits Tp::StatefulDBusProxy, and Tp::OptionalInterfaceFactory< CallStream >.

List of all members.

## Signals

- void localSendingStateChanged (Tp::SendingState localSendingState, const Tp::CallStateReason &reason)
- void remoteSendingStateChanged (const QHash< Tp::ContactPtr, Tp::SendingState > &remoteSendingStates, const Tp::CallStateReason &reason)
- void remoteMembersRemoved (const Tp::Contacts &remoteMembers, const Tp::CallStateReason &reason)

## Public Member Functions

- ~CallStream ()
- CallContentPtr content () const
- Contacts remoteMembers () const
- bool canRequestReceiving () const
- SendingState localSendingState () const
- SendingState remoteSendingState (const ContactPtr &contact) const
- PendingOperation * requestSending (bool send)
- PendingOperation * requestReceiving (const ContactPtr &contact, bool receive)

## Detailed Description

The CallStream class provides an object representing a Telepathy Call.Stream.

Instances of this class cannot be constructed directly; the only way to get one is via CallContent.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::CallStream::~CallStream | ( |  | ) |

Class destructor.

## Member Function Documentation

CallContentPtr Tp::CallStream::content | ( |  | ) | const

Return the content owning this call stream.

Returns:
  The content owning this call stream.

Contacts Tp::CallStream::remoteMembers | ( |  | ) | const

Return the contacts whose the call stream is with.

Returns:
  The contacts whose the call stream is with.

See also:
  remoteMembersRemoved()

bool Tp::CallStream::canRequestReceiving | ( |  | ) | const

Returns whether the user can request that a remote contact starts sending on this stream. Not all protocols allow the user to ask the other side to start sending media.

Returns:
  true if the user can request that a remote contact starts sending on this stream, or false otherwise.

See also:
  requestReceiving()

SendingState Tp::CallStream::localSendingState | ( |  | ) | const

Return the call stream local sending state.

Returns:
  The call stream local sending state.

See also:
  localSendingStateChanged()

SendingState Tp::CallStream::remoteSendingState | ( | const ContactPtr & | contact | ) | const

Return the call stream remote sending state for a given contact.

Returns:
  The call stream remote sending state for a contact.

See also:
  remoteSendingStateChanged()

PendingOperation * Tp::CallStream::requestSending | ( | bool | send | ) |

Request that media starts or stops being sent on this call stream.

Returns:
  A PendingOperation which will emit PendingOperation::finished when the call has finished.

See also:
  localSendingStateChanged()

PendingOperation * Tp::CallStream::requestReceiving | ( | const ContactPtr & | contact,
|  | bool | receive
| ) |  |

Request that a remote contact stops or starts sending on this call stream.

Returns:
  A PendingOperation which will emit PendingOperation::finished when the call has finished.

See also:
  remoteSendingStateChanged()

void Tp::CallStream::localSendingStateChanged | ( | Tp::SendingState | localSendingState,
|  | const Tp::CallStateReason & | reason
| ) |  | `[signal]`

This signal is emitted when the local sending state of this call stream changes.

Parameters:

  localSendingState | The new local sending state of this call stream.
  reason | The reason that caused this change

See also:
  localSendingState()

void Tp::CallStream::remoteSendingStateChanged | ( | const QHash< Tp::ContactPtr, Tp::SendingState > & | remoteSendingStates,
|  | const Tp::CallStateReason & | reason
| ) |  | `[signal]`

This signal is emitted when any remote sending state of this call stream changes.

Parameters:

  remoteSendingStates | The new remote sending states of this call stream.
  reason | The reason that caused these changes

See also:
  remoteSendingState()

void Tp::CallStream::remoteMembersRemoved | ( | const Tp::Contacts & | members,
|  | const Tp::CallStateReason & | reason
| ) |  | `[signal]`

This signal is emitted when one or more members of this stream are removed.

Parameters:

  members | The members that were removed from this call stream.
  reason | The reason for that caused these removals

See also:
  remoteMembers()